Bug 194313 - defaults.list entry for dia diagrams is incorrect
defaults.list entry for dia diagrams is incorrect
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: shared-mime-info (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-07 03:40 EDT by Fabrice Colin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.20-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-17 07:01:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fabrice Colin 2006-06-07 03:40:06 EDT
Description of problem:
I noticed that the entry for "application/x-dia-diagram" in
"/usr/share/applications/defaults.list" points to "dia.desktop", which
doesn't exist.
The desktop file for dia is actually called "fedora-dia.desktop".

If I understand correctly, applications are supposed to use mimeinfo.cache
to determine what the default program for a specific MIME type is,
not defaults.list, so I don't think this is a major bug.

Version-Release number of selected component (if applicable):
shared-mime-info-0.17-1.fc5.1

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bastien Nocera 2007-04-17 07:01:52 EDT
Fixed in 0.20-2 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.